Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class SingleSubstFormat2

    java.lang.Object
      org.apache.batik.svggen.font.table.LookupSubtable
          org.apache.batik.svggen.font.table.SingleSubst
              org.apache.batik.svggen.font.table.SingleSubstFormat2

public class SingleSubstFormat2
extends SingleSubst

Constructor Summary
`protected` | `SingleSubstFormat2(java.io.RandomAccessFile raf, int offset)` Creates new SingleSubstFormat2

Method Summary
`int` | `getFormat()`
`int` | `substitute(int glyphId)`

Methods inherited from class org.apache.batik.svggen.font.table.SingleSubst
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSubstFormat2

    protected SingleSubstFormat2(java.io.RandomAccessFile raf,
                                 int offset)
                          throws java.io.IOException

  Creates new SingleSubstFormat2

Method Detail

### getFormat

    public int getFormat()

  Specified by:
    `getFormat` in class `SingleSubst`

### substitute

    public int substitute(int glyphId)

  Specified by:
    `substitute` in class `SingleSubst`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.